org.eclnt.jsfserver.util

## Class StackedComplexValueExpressionComparison

- java.lang.Object
- - ValueExpression
  - - org.eclnt.jsfserver.util.StackedComplexValueExpressionComparison

-     public class StackedComplexValueExpressionComparison
      extends ValueExpression

  Value following the pattern "#{xxx.xxx.xxx [op] [value]}"
  [op]: ==, != [value]: true, false, int, String (format: 'xxx xxx')

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackedComplexValueExpressionComparison(Application app, java.lang.String vbString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object arg0)`
    `java.lang.Class<?>` | `getExpectedType()`
    `java.lang.String` | `getExpressionString()`
    `java.lang.Class<?>` | `getType(ELContext arg0)`
    `java.lang.Object` | `getValue(ELContext arg0)`
    `int` | `hashCode()`
    `boolean` | `isLiteralText()`
    `boolean` | `isReadOnly(ELContext arg0)`
    `void` | `setValue(ELContext arg0, java.lang.Object arg1)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StackedComplexValueExpressionComparison

          public StackedComplexValueExpressionComparison(Application app,
                                                         java.lang.String vbString)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue(ELContext arg0)
                                    throws java.lang.NullPointerException,
                                           PropertyNotFoundException,
                                           ELException

      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `ELException`

    - #### getExpectedType

          public java.lang.Class<?> getExpectedType()

    - #### getType

          public java.lang.Class<?> getType(ELContext arg0)
                                     throws java.lang.NullPointerException,
                                            PropertyNotFoundException,
                                            ELException

      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `ELException`

    - #### isReadOnly

          public boolean isReadOnly(ELContext arg0)
                             throws java.lang.NullPointerException,
                                    PropertyNotFoundException,
                                    ELException

      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `ELException`

    - #### setValue

          public void setValue(ELContext arg0,
                               java.lang.Object arg1)
                        throws java.lang.NullPointerException,
                               PropertyNotFoundException,
                               PropertyNotWritableException,
                               ELException

      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `PropertyNotWritableException`
        `ELException`

    - #### equals

          public boolean equals(java.lang.Object arg0)

    - #### getExpressionString

          public java.lang.String getExpressionString()

    - #### hashCode

          public int hashCode()

    - #### isLiteralText

          public boolean isLiteralText()

Copyright © CaptainCasa Gmbh. All Rights Reserved.